Bug 301959 - Icons in Places panel has a fixed size
Summary: Icons in Places panel has a fixed size
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: panels: places (show other bugs)
Version: 16.12.2
Platform: Slackware Linux
: NOR wishlist with 160 votes (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
: 303004 303011 303022 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-06-15 09:55 UTC by david.martin.it
Modified: 2013-05-15 14:03 UTC (History)
20 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.2


Attachments
Example patch for 32 pixel icons (817 bytes, patch)
2012-09-22 23:09 UTC, Christoph Feck
Details
Add a config option "PlacesPanelIconSize" in the "General" section of dolphinrc (6.40 KB, patch)
2012-09-24 18:26 UTC, Frank Reininghaus
Details
New patch (7.43 KB, patch)
2012-09-25 20:27 UTC, Frank Reininghaus
Details
screenshoot (167.88 KB, image/png)
2013-02-09 21:42 UTC, exzemat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description david.martin.it 2012-06-15 09:55:58 UTC
After upgrading to KDE4.9 beta 1, icons in Dolphin Places panel does not change size when I re-size panel width.
This behavior is valid also for KDE4.9 beta 2.

Reproducible: Always

Steps to Reproduce:
1. re-size Places panel width
2.
3.
Actual Results:  
Icons has always a fixed (little) size

Expected Results:  
Icons would change size based on width of Places panel: big icons if there's sufficient space, little if the panel is narrow or the text to be displayed is long
Comment 1 Christoph Feck 2012-06-15 10:30:46 UTC
Why? That dynamic resizing has long been reported as an annoying behavior, see bug 182089.
Comment 2 david.martin.it 2012-06-15 11:07:15 UTC
So you confirm me that the dynamic resizing has been dropped in KDE 4.9?
Is there a way to set if the user prefer "dynamic resizing" or "fixed size" icons?
Comment 3 Peter Penz 2012-06-15 19:32:04 UTC
> So you confirm me that the dynamic resizing has been dropped in KDE 4.9?

Only for Dolphin, but yes.

> Is there a way to set if the user prefer "dynamic resizing"
> or "fixed size" icons?

No and currently it is not planned to implement this: As Christoph already said quite a lot users complained about the automatic resizing and I see this as kind of bugfix ;-)

Anyhow I've changed this to a "wishlist"-item so that users can give feedback. But I must say that I really need strong reasons for making the size dynamic again as option - as far as I know no other filebrowser (or even webbrowser) allows to adjust the size of the bookmarks and I don't see a reason for providing such an option or dynamic resizing at all.
Comment 4 david.martin.it 2012-06-16 06:40:49 UTC
(In reply to comment #3)
> > Is there a way to set if the user prefer "dynamic resizing"
> > or "fixed size" icons?
> 
> No and currently it is not planned to implement this: As Christoph already
> said quite a lot users complained about the automatic resizing and I see
> this as kind of bugfix ;-)

I love Dolphin, but I think that Places panel with fixed size icon it's horrible :-)


> Anyhow I've changed this to a "wishlist"-item so that users can give
> feedback. But I must say that I really need strong reasons for making the
> size dynamic again as option - as far as I know no other filebrowser (or
> even webbrowser) allows to adjust the size of the bookmarks and I don't see
> a reason for providing such an option or dynamic resizing at all.

No other filebrowser has dynamic resizing, and this was one of the reasons that makes Dolphin the best file manager in the world ;-)

Is there a way to increase/decrease the size of Places panel icons/text?
Comment 5 Guillaume DE BURE 2012-06-16 21:15:52 UTC
Well, I for one liked this feature. We even implemented it also in skrooge, where resizing the "pages" panel also triggers automatic resize. I know that providing gazillions of options is not optimal, but that could have been a way to solve it.

Oh well, I can live without it, but it was one of the little things that made dolphin stand out from the crowf
Comment 6 Artur Szymiec 2012-06-18 21:33:09 UTC
+100 from me - it was a cool feature - actually current state is a BIG disappointment. Why not to have an option fixed size (with variable zoom set because currently there is no way to specify how big the icons should be) or dynamic expandable ?
Comment 7 apache 2012-06-23 18:16:20 UTC
But the status of the bug
https://bugs.kde.org/show_bug.cgi?id=182089
is not "fixed" or so, it is still "unconfirmed".
So far icons on places panel changed when I switched from one folder to another which annoyed me very much. I wish I could fix its size to my preference (32x32) and that they could keep this fixed size. Is is possible in KDE 4.9? Or the size will be the same as tree view icon size? I use both views simultaneously.
Comment 8 Christoph Feck 2012-06-23 18:48:54 UTC
Dolphin no longer uses the kdelibs places panel, but the file dialogs still do, that's why bug 182089 is still open.
Comment 9 Christoph Feck 2012-07-04 11:50:33 UTC
*** Bug 303004 has been marked as a duplicate of this bug. ***
Comment 10 Christoph Feck 2012-07-04 11:51:30 UTC
*** Bug 303011 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2012-07-04 11:54:12 UTC
From bug 303011:

> My "small icons" size is set to 32 - at least this size should be respected by dolphin.

I agree, and this makes this entry a bug, not a wishlist item. KDE application developers have long been told to never use fixed size icons, but at least to adapt to the users' settings, if they don't offer their own configuration.
Comment 12 Christoph Feck 2012-07-04 18:56:41 UTC
*** Bug 303022 has been marked as a duplicate of this bug. ***
Comment 13 Peter Paulsen 2012-07-06 21:13:31 UTC
I just wanted to file a bug report about the same issue: the icons are much too small. I was not that happy with the automatic resizing either but merely because the icons sometimes became too small! And now this state is even fixed which is "worst case" for me. It's for me the same as described in the other duplicate bug reports, I cannot recognize such tiny icons. Dolphin really was outstanding with the feature to adjust the size of the places icons even though only contrallable by the user through resizing of the panel width.

In Bug 303004 there is a nice proposal which could satisfy any user, those who prefer small icons, those who need big icons, those who like automatic resizing and those who don't:

> Instead of dropping the resizing completey from my point of view it would have been better to let the user set a minimum and maximum size. So if I set the min. size to e.g. 16 and the max. size to 64 the icons resize as before. When I set the icons from 32 to 64 I have the beviour that I would prefer ;). And when I e.g. set the min. size to 32 and the max. size too than the icons don't dynamically resize.
Comment 14 Janet 2012-07-08 20:36:48 UTC
For now it is important that it gets possible again to have bigger icons in the places sidebar. As Christoph quoted and agreed to, the icons at least should adapt to the "small icons" settings, yes, that's a solution I could live with. 

Further improvements, i.e. getting even bigger icons or variable size is wishlist related, I guess? It nonetheless should be considered because there are people who need bigger icons, who have toolbar icons in size 48 and even 64, but setting the "small icons" to more than 32 messes up some things.
Comment 15 Christoph Feck 2012-07-09 00:28:15 UTC
> setting the "small icons" to more than 32 messes up some things

Could you file seperate reports for those applications? "Small Icons" is supposed to work up to size 48 for now, mostly because many icons aren't available in larger sizes in Oxygen.
Comment 16 Janet 2012-07-10 21:08:16 UTC
In reply to Comment 3
> as far as I know no other filebrowser (or even webbrowser) allows to adjust the size of the bookmarks

Just because I just discovert it: pdmanfm let's you choose the size of the sidebar icons. Fixed size and not dynamic, but it's up to the user to choose.

@Comment 15: I'm into it.
Comment 17 Christoph Feck 2012-07-13 11:54:45 UTC
https://git.reviewboard.kde.org/r/105548/
Comment 18 Christoph Feck 2012-07-17 23:30:23 UTC
Git commit 79211f6e48d33b6be235811912061fda265fefb6 by Christoph Feck.
Committed on 18/07/2012 at 01:22.
Pushed by cfeck into branch 'master'.

Respect platform's icon sizes

Use QStyle icon sizes instead of hard coding 16 or 32 pixels.
Using styles that follow KDE settings (every KStyle, e.g.
Oxygen) the icon sizes can be configured by the user in
System Settings.

The size for the icon/details view can be later changed
by the user, overriding the defaults. The icon size for the
places panel is not (yet?) configurable separately.

(Not resolving the bug, see comment in review request)
REVIEW: 105548

M  +3    -3    dolphin/src/kitemviews/kstandarditemlistview.cpp

http://commits.kde.org/kde-baseapps/79211f6e48d33b6be235811912061fda265fefb6
Comment 19 Christoph Feck 2012-07-17 23:31:21 UTC
Git commit 65112f5f94b46ef0aef46960e50681633f9e4a8c by Christoph Feck.
Committed on 18/07/2012 at 01:22.
Pushed by cfeck into branch 'KDE/4.9'.

Respect platform's icon sizes

Use QStyle icon sizes instead of hard coding 16 or 32 pixels.
Using styles that follow KDE settings (every KStyle, e.g.
Oxygen) the icon sizes can be configured by the user in
System Settings.

The size for the icon/details view can be later changed
by the user, overriding the defaults. The icon size for the
places panel is not (yet?) configurable separately.

(Not resolving the bug, see comment in review request)
REVIEW: 105548
(cherry picked from commit 79211f6e48d33b6be235811912061fda265fefb6)

M  +3    -3    dolphin/src/kitemviews/kstandarditemlistview.cpp

http://commits.kde.org/kde-baseapps/65112f5f94b46ef0aef46960e50681633f9e4a8c
Comment 20 R.T. Sun 2012-08-04 03:19:59 UTC
So current approach is to set FIXED size to match the setting of "small icon"?
But, not to be offended please, I can't see this is a solution to the "icons in Places panel has a fixed size"
May we have a option to choose if we want the icon be resized or not, please?
Comment 21 Janet 2012-08-04 09:53:24 UTC
When the icon size in the places panel follows the "small icons" size it is not fixed anymore because you are free to change the size of the small icons. I'd love to see another more flexible solution too, but not because I like the automatic resizing (I definitly  don't, I want to have control over it and prefer manual resizing) but because I'd love to have bigger icons. Following the small icons size would be a compromise just to make the panel at least *usable* again for many not so good eyed people.

The optimum IMHO would be a switch for automatic resizing/fixed size AND when fixed size is chosen then allow the user to set the fixed icon size independent from any other icon size setting because the places panel cannot be compared to any other icon usage like e.g. context menu (small icons), desktop icon size or dialog icon size. 

Actually this bug report covers two circumstances:
1. it must be possible to have bigger icons and the user should be able to choose the size s/he needs
2. automatic resizing vs. fixed size
Comment 22 Gernot Wieprecht 2012-08-04 10:01:29 UTC
Automatic resizing would be no problem if I could set a minimum size to which the icon size drops (either manually in the options or hard coded by using the "small icons" size as minimum value). When the minimum size is the setting for those "small icons" then it doesn't matter if the icons in the places panel resize automatically. 

The problem with the automatic resizing for the places was that the icons might become too small - not that the size changes automatically!
Comment 23 Janet 2012-08-04 12:53:04 UTC
Thanks Christoph, this patch has made the situation better.
Comment 24 apache 2012-08-04 13:20:15 UTC
Looks like people have different preferences here and I don't want to interfere with the intentions of author of the bug report.
I have only a question regarding this statement and patch:
"The icon size for the places panel is not (yet?) configurable separately."
Can you tell me if I can achieve this with the patch: have tree view icons set to 22x22 and places panel icons to 32x32 and fix that settings so that it won't be changed. I frequently add and remove entries in places panel but I rather keep the size of the panel fixed and I want the icons on places panel to have fixed size.
Comment 25 Frank Reininghaus 2012-08-06 00:56:11 UTC
Thanks a lot Christoph for your commit, which is a great improvement!

I understand that some users are still not quite happy with the situation, but I think that we should not go back to the old automatic resizing. One idea that just came to my mind: maybe we could just make the icons in the Places Panel resizeable using Control+mouse wheel. That's just the way it works in the main view, after all.
Comment 26 R.T. Sun 2012-08-06 03:13:56 UTC
From what I've seen so far, most of the complains are from the problem of automatic resizing resize the icon too small, aren't they?

I meant, I like automatic resizing to maximize the icon in order to improve the positive chance that I drag & drop into them correctly without "drag into some empty space or border between icons."

So, may I ask what's the other reason against automatic resizing? I would like to hear you guys' point. Thank you.
Comment 27 Tanja Schulte 2012-08-06 04:22:23 UTC
I'm affected too. I prefer big sidebar icons. They are better to disinguish and better for drag and drop actions. I liked automatic resizing as long as the icons didn't become too small. Minimum size for me for optimal handling/workflow is a size of 48 - whereas my small icons are only 32. For my context menus that is big enough, more would disturb me.

The proposal of Frank Reinighaus is an interesting way and would make things much better! But i also like the proposal of the maximum and minimum size which allows both automatic resizing and fixed size!
Comment 28 Frank Reininghaus 2012-08-06 09:02:06 UTC
(In reply to comment #27)
> But i also like the proposal of the maximum and minimum size
> which allows both automatic resizing and fixed size!

The problem with that is that it might be impossible to choose hardcoded max and min sizes which satisfy everyone. And making both the max and the min size for automatic resizing is not a good option either IMHO.
Comment 29 Peter Paulsen 2012-08-06 09:48:19 UTC
As minimum size you could use the small icons' size. Automatic resizing but not below that size. 

It seems, the bigger the displays (and the higher the resoluions) get and the older the people become = the bigger the icons must be - add me too ;).
Comment 30 Igor Sinkovec 2012-08-06 12:26:16 UTC
Hi,

my small icons are size 16. I tried and increased the size from 16 to 22, which made the dolphin situation somewhat better, but that also introduced a host of other undesirable effects, such as icons on dialog buttons overflowing, tabs in Kdevelop got bigger, lines in Ktorrent got higher, and so on.

Automatic resizing in dolphin was only annoying if it made the icons too small. But nonetheless I second the idea to get rid of auto-size and control icon size with Ctrl + mouse wheel. A menu setting would be completely acceptable too, as long as this is an independent setting - not being influenced from elsewhere.

Just don't hardcode anything, please :)
Comment 31 david.martin.it 2012-08-07 12:15:22 UTC
(In reply to comment #25)
> I understand that some users are still not quite happy with the situation,
> but I think that we should not go back to the old automatic resizing. 

I think that the ideal situation would be the one where users has freedom to choose between fixed size and automatic resizing.


> One idea that just came to my mind: maybe we could just make the icons in the
> Places Panel resizeable using Control+mouse wheel. That's just the way it
> works in the main view, after all.

This would be certainly better that having icons with fixed size.
Comment 32 Sebastian Rose 2012-08-08 16:58:45 UTC
(In reply to comment #30)
I agree with Igor here. Fixed size is fine for the places panel but increasing the Small Icons size to make them bigger creates visual problems with other icons, in Dolphin and otherwise. Maybe "Panel" as icon size would be more suitable than "Small Icons".
Comment 33 Janet 2012-08-08 18:46:33 UTC
In reply to Comment 32: I completely agree with you that "small icons" is not the best solution - but it is much much much much (repeat as often as you like) better than fixed tiny icons. Panel size for the places icons would definitely not be suitable! At least not for me. My panel and desktop icons are set to 128 - way too big for the places sidebar. No, to satisfy all users, it must be independent as it seems.
Comment 34 Götz 2012-08-08 19:09:32 UTC
I think we can agree that everyone needs different icon sizes for the Places panel, so I consider that the idea to have the size adjusted by "Ctrl+Scroll mouse wheel" (or some settings) is the best.

Hardcoded sizes are a headache for many people, and using the "small icons" settings isn't the best option either, because some people need bigger icons for "Places" but not for every thing else that usese the "small icons" settings.
Comment 35 exzemat 2012-08-11 08:51:04 UTC
small icons is very ugly on my big screen.
please, let the user choose the size
Comment 36 exzemat 2012-08-11 09:26:10 UTC
And the size bar of the location disappear of course...no place to show it
Comment 37 exzemat 2012-08-12 10:02:10 UTC
And this is not consistent with "save as" windows where icons in Places panel haven't a fixed size
Comment 38 Jeroen van Meeuwen (Kolab Systems) 2012-08-24 16:21:31 UTC
Resetting assignee to default as per bug #305719
Comment 39 DeMus 2012-09-02 04:00:14 UTC
Seeing the removal of the variable icon size as a bug-fix is ridiculous. Things like this are what makes KDE great. This is where KDE differs from the other DE's. Now when you take this away there is absolutely no reason anymore to use KDE, you can just as well chose an other DE since they all look alike.
It's just as with the in-line changing of file/folder names. KDE used to have their own way of doing that, now it is the same as with other DE's. Why? Why not have your own style and preserve it?
I feel sorry I have updated to 4.9, I really mean this.
Comment 40 DeMus 2012-09-02 04:09:02 UTC
ps to my previous message:
When I open the KDE website, I see, in very big text, the word Freedom.
Why don't you include Freedom in your product? Why not let people chose what they want: (too) small fixed size icons or variable size icons?
Comment 41 DeMus 2012-09-02 05:48:30 UTC
@Peter Penz:
"Anyhow I've changed this to a "wishlist"-item so that users can give feedback. But I must say that I really need strong reasons for making the size dynamic again as option - as far as I know no other filebrowser (or even webbrowser) allows to adjust the size of the bookmarks and I don't see a reason for providing such an option or dynamic resizing at all."

What if I tell you that I like KDE because of things like the variable icon size? That I choose KDE just for that. Doesn't that mean anything to you?
Give people a choice. Dolphin had it, why take it out? If other people hate it then at least make a choice so everyone is happy. Isn't that what Linux is all about?
Comment 42 Artur Szymiec 2012-09-02 08:32:17 UTC
I fully agree wit DeMus especially on:
"Dolphin had it, why take it out? If other people hate it then at least make a choice so everyone is happy. Isn't that what Linux is all about?"
Maybe this bug is a strong indication that free software development model should be changed - now the community is presented with what developers want while it should be a quite opposite way.
Comment 43 Gernot Wieprecht 2012-09-02 13:37:05 UTC
(In reply to comment #28)
> (In reply to comment #27)
> > But i also like the proposal of the maximum and minimum size
> > which allows both automatic resizing and fixed size!
> 
> The problem with that is that it might be impossible to choose hardcoded max
> and min sizes which satisfy everyone. And making both the max and the min
> size for automatic resizing is not a good option either IMHO.

Why do you think a min and a max size (both chosen by the user!) wouldn't be a good option? I could imagine it could work like this: You have two additional values in dolphin's settings, min. panel icons size and max. Both are blank or 0 by default. In this state  automatic resizing would work as before. But the user has the choice to enter a min and a max value (16, 22, 32, 48, 64). in this range automatic resizing still happens. And when the user enters the same value in both fields, e.g. 32 and 32 the icons are always in a fixed size. Imagine, every user would be satisfied :). And when the size chosen by the user does not match with the width of the panel the names would blend out. And when the user has chosen a size too big for a long list of icons so that they don't fit into the panel height there could be a small arrow indicating further items and you could make the panel mouse-scollable (without scollbars). But i guess that would be a hard piece of work to do...

On the other hand: using Ctrl-Scrollwheel and Ctrl +/- (same as in the files window) over the panel to resize the icons also would be nice and I would be very content with that solution
Comment 44 Christoph Feck 2012-09-03 00:39:14 UTC
> Dolphin had it, why take it out?

Did you notice that the places panel has been rewritten from scratch? It did not allow grouping previously, and the old code never allowed adding it, so it had to be rewritten.

Also, you are late to the party when you say the places panel always had automatic sizing. KDE 3 did not have it, and when KDE 4 added it, people (including me) hated that feature, not only because of its unpredictability (inserting a drive could cause a sudden "resize animation"), but also because you couldn't disable that behavior at all.

Now that we are getting used to it, people complain that this "feature" had not be implemented for the rewritten places panel. The author did not see the automatic resizing as a much requested feature, because it was (A) never requested as a wish for KDE 3, and (B) it's sudden appearance caused above mentioned bug to be reported.

> Maybe this bug is a strong indication that free software development model should be changed

Nothing needs to be changed. If you would like to work on re-adding that feature to the new panel implementation, add your patch to reviewboard. If you think you cannot do it, wait until someone else does. What other options do you see?

Please consider that adding more complains and conspirations theories certainly does not help to motivate anyone implementing it soon.
Comment 45 Götz 2012-09-03 00:55:06 UTC
The previews autoresizeing could be problematic for some people, but the current 'small icons and text' is to small to read/distinguish! And it can't be make bigger without changing the size of other things.

I find a problem if there is a functionality for some years, and in one release, the behavior/interface changes. I read that it was a code rewrite, but for the user, it is a usability amputation.
Comment 46 DeMus 2012-09-03 02:42:27 UTC
@Christoph Feck
The code did not needed to be rewritten since it was good the way it was. Developers are concentrating on the wrong issues for a new release. Sometimes, including now, I feel they just change something because they want to change something, doesn't matter what it is.
Yes, I started using KDE during 4.7 so I don't know KDE 3. I only know the variable size of the icons and I love it. Now I see tiny icons even though I have 2 23" monitor here representing disks, something so major in a computer. Ridiculous.
As G. Christ (45) also wrote: it's a usability amputation.
Comment 47 R.T. Sun 2012-09-03 06:40:20 UTC
Consider you remove many entries from "places", and what's left remains the same size. I think it would not improve the chance to drag stuff into the remained entries /automatically/.

A lower bound for all entries for automatic resizing can be a quick remedy for too-small entry problem. An extra manual resizing policy will be nice addition too. 

But personally allow me to suggest to allow the users keep their habits as a higher priority though. Not to change things too quickly is always a good sign for user-friendly DE, right? :-)
Comment 48 Gernot Wieprecht 2012-09-03 10:16:04 UTC
It really doesn't help to get rude here. I fully agree with Christoph Feck "Please consider that adding more complains and conspirations theories certainly does not help to motivate anyone implementing it soon." It appears to me that the most important is to have a usable panel with good visible icons - for everyone. And that would be the case also with a panel that doesn't autoresize. I was content with the autoresizing as long as the icons didn't get too small. But I also would be very very happy with a solution where the user can manipulate the icon size on-the-fly as Frank Reinighaus proposed in Comment 25 - so that automatic resizing is not really needed.
Comment 49 Frank Reininghaus 2012-09-03 11:15:12 UTC
(In reply to comment #48)
> But I also would be very very happy with a solution
> where the user can manipulate the icon size on-the-fly as Frank Reinighaus
> proposed in Comment 25 - so that automatic resizing is not really needed.

Yes, this is still on my TODO list. Unfortunately, I only have very little time for Dolphin development, which is why this is not implemented yet. But I understand that many users miss the possibility to easily change the icon size, so I'll do my best to get this into the next possible release (which is 4.9.2, because 4.9.1 has been tagged already).

The problem with configurable upper and lower bounds for automatic resizing is that I prefer to only add new config options if there is no other way to resolve the problem, which is not the case here IMHO. Adding an option often looks like the easy way to go, but if we had always added config options in cases like this, the settings dialog would have about three times as many options as it does now and would be completely unusable.

I would suggest that we end this discussion here. I think that all relevant facts have been mentioned, so continuing this discussion would be a waste of time for everyone.
Comment 50 Gernot Wieprecht 2012-09-03 19:42:01 UTC
Thanks for the explanation. And it is good to know the resizing is on your TODO list. Waiting is not so hard when you know the "event" you are waiting for is scheduled, not next release, maybe the following, maybe some later, but it will. Keep up the good work!
Comment 51 Abhay Kedia 2012-09-12 18:54:46 UTC
(In reply to comment #1)
> Why? That dynamic resizing has long been reported as an annoying behavior,
> see bug 182089.

Well you can clearly see which is more annoying to KDE users 52 vs 270 votes. After updating to 4.9 this was the first thing I noticed and felt weird about. IMO dynamic resizing was a cool and really useful feature.

To people who are relevant: Please bring it back!!!!
Comment 52 Christoph Feck 2012-09-12 22:17:29 UTC
Since the issue mentioned in comment #11 has been resolved, the status of this entry is "wishlist" again.
Comment 53 Igor Sinkovec 2012-09-13 09:49:49 UTC
(In reply to comment #52)
> Since the issue mentioned in comment #11 has been resolved, the status of
> this entry is "wishlist" again.

I strongly disagree. Wishlist is for features that hadn't been implemented yet. This issue is clearly regression, therefore a bug.
Comment 54 Abhay Kedia 2012-09-13 13:19:14 UTC
(In reply to comment #52)
> Since the issue mentioned in comment #11 has been resolved, the status of
> this entry is "wishlist" again.

If bug 182089 was not marked as a wishlist then this should be treated in a similar way as well. Why this discrimination on similar issues?
Comment 55 Jim Blaich 2012-09-19 05:17:54 UTC
I would agree that since fixed size icons are to never be used this is a bug.

I'd like to make a comment(s) that's probably not popular.

There are far more pressing matters and far more annoying things about KDE and Dolphin than sizable icons in the places panel.  I understand that maybe someone in charge has decided that user interface elements (those things we interact with all the time) needs to be made the highest of high priorities.  Even so, it really is silly that you would target this annoyance rather than targeting things like having Desktop View as the default or having Single Click selected instead of double, or not displaying the available space in the status bar, or having all those really messed up kwin desktop effects that cause some HP desktops using nVidia chipsets to be non-functional (AND I MEAN NON-FUNCTIONAL) until you turn off desktop effects and then switch to "xrender".  And even then still not having it work properly.

See, what I'm saying is that I could go on and on and on.

This doesn't mean we don't appreciate your work.  It's tremendous.  But, for the guy that just took over the Dolphin project, that fix was not in even the slightest way a high priority.

Or how about the one that after you install KDE as a secondary desktop manager and then the first reboot causes your system to go into low graphics mode where you can't recover unless you can SSH in and uninstall KDE.  Hopefully you installed ssh before adding KDE.
Comment 56 Janet 2012-09-19 10:34:26 UTC
I agree that different people have different goals and priorities. Someone with good eyes and a small display e.g. wants the icons as small as possible and doesn't care about bigger sizes. Someone with bad eyes on the other hand gets totally lost when the icons are below a certain individual size and does not care about small sizes. Someone with good eyes and a standard display maybe doesn't care about the icon size at all.

But i don't agree on that this is a bug. A bug is something that's not intended in one or the other way. Take e.g. the amarok gui. With small icons set to more than 16 some gui elements are not shown properly because the icons grow but the given space remains the same. For me a bug. But the devs explained that this is intended because if they would give the icons more space it would destroy their intended gui layout. I don't care about that, I prefer recognizable icons, but nonetheless this makes it a wish and not a bug.

BTW: The icon size in the panel isn't fixed anymore, it depends on the small icons size. The icons just don't resize autoamatically anymore upon window/panel resize and panel filling. So it's clearly wishlist as it is indended and no one "gets harmed" (as the icons now at least adapt a little to the users needs).

And - can't we stop discussing about bug or wish or whatever now? Frank Reininghaus has said that he'll implement resizing on user interaction via mouse or something like that when his time permits it.
Comment 57 Christoph Feck 2012-09-22 23:09:24 UTC
Created attachment 74099 [details]
Example patch for 32 pixel icons

The code for the new Dolphin item views is very complex. I tried finding the place where I could set a different icon size, but gave up. It looks like Dolphin only has three "layout modes" (Icons, Compact, Details), which is used to lookup settings, and places panel uses hardcoded Details mode without looking for any settings.

In order to have places icons in a size different from default, but also different from Details mode, probably a new layout mode would have to be added, or the code needs major refactoring. Certainly not a junior job, but patches welcome nonetheless.

I suggest that if you really needs bigger places panel icons, change the default icon size value for Details layout in the source code. This also changes the default size for the Details mode, but you can configure that separately.

Attached is a patch that changes Details icon size to 32 pixels.
Comment 58 DeMus 2012-09-23 04:08:44 UTC
If you would take an older version (< 4.9) you can see how it used to be done since it has been in the software. That way it should be fairly easy (and this is coming from somebody who absolutely can not program himself) to see what needs to be done to have this great item back.
Comment 59 SpeccyMan 2012-09-24 17:00:22 UTC
I don't know about others opinion or if this is just me, but if i want the icons on the "Places' panel" to be small i just resize the panel and the icons resize whit it. Honestly, I really do not understand why would someone want that changed!!! It fits all!!!

If one has such a HUGE list of shortcuts just resize the panel and it will get the same icon size it now has. It's fast. It's easy.

I updated to KDE 4.9 and, after i saw that, i immediately downgraded and yes, this was the _o_n_l_y_ reason for me to downgrade to KDE 4.8!!!

Please, fix this!!!

Maybe we could have dynamic size that would became fix when one locks the panels! The way this is ATM it is unusable and i to consider this a bug and a regression. Really: i almost can't see the icons (and yes, i already went to eye doctor!)
Comment 60 Götz 2012-09-24 18:19:34 UTC
Christoph Feck, thanks for the 32px patch, I didn't knew where to change the sizes.
Comment 61 Frank Reininghaus 2012-09-24 18:26:42 UTC
Created attachment 74141 [details]
Add a config option "PlacesPanelIconSize" in the "General" section of dolphinrc

Christoph, thanks for looking into this issue!

I think I have a first steps towards a solution now. It's not pretty, but it's not a complete hack either. Can you test it, Christoph? If you agree that it works and looks OK, I'd like to push it before 4.9.2 to make sure that users can set a custom icon size via "PlacesPanelIconSize=123" or something like that in the [General] section of dolphinrc.

In master, I would add an "Icon Size" submenu to the Places Panel's context menu, just like it is in the tool bar. I think that this is better than my earlier "Ctrl+wheel" idea because that would not be easily discoverable.
Comment 62 Frank Reininghaus 2012-09-24 18:30:08 UTC
(In reply to comment #58)
> If you would take an older version (< 4.9) you can see how it used to be
> done since it has been in the software. That way it should be fairly easy
> (and this is coming from somebody who absolutely can not program himself) to
> see what needs to be done to have this great item back.

The Places Panel implementations in 4.8 and 4.9 are based on entirely different model/view implementations, which is why not much of any use for this matter can be learned by looking at the old code.
Comment 63 Christoph Feck 2012-09-24 22:53:47 UTC
Frank, nice patch, but I cannot test it right now, will do tomorrow. Adding a complete new class just to set a configurable value looks a bit overkill, but certainly cleaner than adding a new layout mode. I am still a bit confused about the Widget/View separation, so I failed to see that one has to create a View subclass to make changes to the Widget...

Regarding the config naming, I suggest to use section [PlacesPanel] with "IconSize=xyz", and make "-1" mean "default size" (0 could mean "no icons"). This is in line with the [InformationPanel] section, and paves the way for future options in this section.

Regarding the context menu additition for 4.10, I would also prefer it over the Ctrl+wheel option, not only because of the better discoverability, but also because using a mouse wheel should only cause temporary modification to settings.

> I don't know about others opinion

In other words, you have not read any of the previous comments in this bug report. Thank you for adding another useless comment.

> Really: i almost can't see the icons

Now I am really interested why people say this. The list of places in the Dolphin panel are actually text labels, and the icons are only used as a decoration. The same icon size is used on buttons, tabs, menu items, combo boxes, most list views, etc. Those complaining that these widgets are too small to be seen (e.g. on high DPI displays), have long been setting the font size and the icon sizes to larger values. If you never changed font or icon sizes in System Settings, it is time you do, before your eyesight gets worse than your doctor measured ;)

Since you all seem to love ranting, let me add my own view: I just tried the old places panel (still used in dir selector). The animation is as useless as the highlight animation in the systray expander, and the determination of icon size is completely broken there. When I maximize the window, the icons get bigger to point that the text labels get elided with "...". Completely unusable for someone who actually needs to read the labels. I hope whenever dynamic icon sizes come back to Dolphin, that it doesn't have the same annoying bugs the old code had.

Had to get that off my chest ;)
Comment 64 Christoph Feck 2012-09-24 22:59:00 UTC
Btw, in case nobody noticed yet, I fixed the old places panel (in dir selector) to respect the "Small" icon size setting as the minimum size for 4.9.2. If you find more places, where the settings are not respected, keep the bug reports coming.
Comment 65 Götz 2012-09-25 01:51:10 UTC
Christoph Feck, bug 307359 :)
Comment 66 SpeccyMan 2012-09-25 12:50:24 UTC
> In other words, you have not read any of the previous comments in this bug
> report. Thank you for adding another useless comment.

I did read them (all!) and i really believe it would not be that useless as a comment since i even propose an idea to solve this (not with real code, of course). ;p

> 
> > Really: i almost can't see the icons
> 
> Now I am really interested why people say this. 

I say this because i'm looking to the the whole thing. Yes, i'm sure this is the same size used in a lot of other things. But if you take into consideration the place where it is and it's function - from my POV: to provide easy and fast access to a specific place - it really is too small and becomes difficult to see, since it is used very frequently. That was what i actually meant ;).

Anyway I'll resign to my insignificance now.
Comment 67 Christoph Feck 2012-09-25 20:19:30 UTC
Frank, patch works, nothing to add what I already said in comment #63.
Comment 68 Frank Reininghaus 2012-09-25 20:27:29 UTC
Created attachment 74172 [details]
New patch

Thanks Christoph, I agree that a [PlacesPanel] section in dolphinrc makes more sense.

I'll push the patch soon unless you (or anyone else testing it) finds any problem.
Comment 69 Jens Rutschmann 2012-09-25 21:04:54 UTC
(In reply to comment #68)
> I'll push the patch soon unless you (or anyone else testing it) finds any
> problem.

Works like a charm :-)

Thanks for implementing this !
Comment 70 Christoph Feck 2012-09-25 21:14:13 UTC
Frank, this line in placesview.cpp

+    if (iconSize > 0) {

should read

+    if (iconSize >= 0) {

since you adjusted the default value. This also means I have a hackish way to disable icons, yay :)
Comment 71 Alexander Cogneau 2012-09-26 19:56:00 UTC
How can I apply this patch?
Comment 72 Frank Reininghaus 2012-09-27 06:14:02 UTC
Git commit ca5fcd54fd1e9f548a2c445d7c4a5fd6cf30acd6 by Frank Reininghaus.
Committed on 27/09/2012 at 08:11.
Pushed by freininghaus into branch 'KDE/4.9'.

Add a new config option for the icon size in the Places Panel

To change the icon size in the Places Panel to, e.g., 60 pixels, add
the following lines to $KDEHOME/share/config/dolphinrc :

[PlacesPanel]
IconSize=60

A value of -1 means that the standard "Small" size should be used
(which has been the default before this commit).

It is planned to add an "Icon Size" submenu to the context menu of the
Places Panel in KDE 4.10, but we cannot do this in the 4.9 branch
because of the string freeze.

FIXED-IN: 4.9.2

M  +2    -0    dolphin/src/CMakeLists.txt
A  +14   -0    dolphin/src/panels/places/dolphin_placespanelsettings.kcfg
A  +4    -0    dolphin/src/panels/places/dolphin_placespanelsettings.kcfgc
M  +2    -2    dolphin/src/panels/places/placespanel.cpp
A  +35   -0    dolphin/src/panels/places/placesview.cpp     [License: GPL (v2+)]
A  +38   -0    dolphin/src/panels/places/placesview.h     [License: GPL (v2+)]

http://commits.kde.org/kde-baseapps/ca5fcd54fd1e9f548a2c445d7c4a5fd6cf30acd6
Comment 73 Frank Reininghaus 2012-09-27 06:19:57 UTC
Thanks Jens and Christoph for testing! The commit is now in the 4.9 branch, and I've created a new report (bug 307475) about adding an "Icon Size" submenu to the Places Panel's context menu.

(In reply to comment #71)
> How can I apply this patch?

If you build Dolphin from source, you can do the following: Download the patch from comment 68, then go to your kde-baseapps source folder. Then, do

patch -p1 < /full/path/to/the/patch-file.diff

and run CMake, make, and make install as usual (or use kdesrc-build or some other script to do the build).

The alternative would be to wait for your distro's KDE 4.9.2 packages. KDE 4.9.2 is scheduled for release next week.
Comment 74 Frank Reininghaus 2012-09-27 07:28:29 UTC
(In reply to comment #55)

This is not the kind of comment that I would actually like to spend much time on, but I'd like to prevent that anyone interprets my silence as an indication that anything in this comment makes any sense.

> I'd like to make a comment(s) that's probably not popular.

What's actually more important when you are going to post a comment are the following questions:

1. Is my comment on-topic in the context of the bug report?
2. Is my comment written in a matter-of-fact way?
3. Is my comment adding some real value to the report (like pointing out something that has not been mentioned yet and that helps to fix the issue)?

If you cannot answer all three questions with a clear "Yes", don't bother to post the comment. We are all working on KDE in our free time, and we have enough noise in our inboxes already.

> Even so, it really is silly that you would target this annoyance rather than
> targeting things like having Desktop View as the default 

Not a Dolphin issue.

> or having Single Click selected instead of double

You can change that with a single click (no pun intended) in the Dolphin Settings, "Navigation" section. Don't argue about the default here, this is a global KDE setting and therefore no Dolphin issue.

> or not displaying the available space in the status bar

Settings dialog, "General" section, "Status Bar" tab.

> or having all those really messed up kwin desktop effects
> that cause some HP desktops using nVidia chipsets to be non-functional (AND
> I MEAN NON-FUNCTIONAL) until you turn off desktop effects and then switch to
> "xrender".  And even then still not having it work properly.

Obviously not a Dolphin issue.

> Or how about the one that after you install KDE as a secondary desktop
> manager and then the first reboot causes your system to go into low graphics
> mode where you can't recover unless you can SSH in and uninstall KDE. 
> Hopefully you installed ssh before adding KDE.

Obviously not a Dolphin issue.

> See, what I'm saying is that I could go on and on and on.

No, thanks!

> This doesn't mean we don't appreciate your work.  It's tremendous.  But, for
> the guy that just took over the Dolphin project, that fix was not in even
> the slightest way a high priority.

Please note that I'm working on Dolphin in my free time. I don't even have enough time to properly take care of the bugs in Dolphin, so it makes very little sense to ask me to spend vast amounts of time making myself familiar with the code and bugs of other parts of KDE. Which brings me back to...

> I'd like to make a comment(s) that's probably not popular.

I'd like to tell you something that you probably won't like. If you really care about KDE, try to be constructive and help to fix the bugs that there are (and yes, there are many of them), rather than wasting everyone's time by polluting bug reports with off-topic nonsense.

Thanks for your understanding. I'm not going to reply to any further off-topic comments here.
Comment 75 david.martin.it 2012-09-27 07:34:26 UTC
(In reply to comment #72)
> Git commit ca5fcd54fd1e9f548a2c445d7c4a5fd6cf30acd6 by Frank Reininghaus.
> Committed on 27/09/2012 at 08:11.
> Pushed by freininghaus into branch 'KDE/4.9'.
> 
> Add a new config option for the icon size in the Places Panel
> 
> To change the icon size in the Places Panel to, e.g., 60 pixels, add
> the following lines to $KDEHOME/share/config/dolphinrc :
> 
> [PlacesPanel]
> IconSize=60
> 
> A value of -1 means that the standard "Small" size should be used
> (which has been the default before this commit).
> 
> It is planned to add an "Icon Size" submenu to the context menu of the
> Places Panel in KDE 4.10, but we cannot do this in the 4.9 branch
> because of the string freeze.

As bug reporter, I would like to thank Frank, Christoph, Peter and everyone that make Dolphin so beautiful and useful.
Comment 76 Alexander Cogneau 2012-09-27 17:29:47 UTC
When will this update be released in the repo?
Comment 77 Frank Reininghaus 2012-09-27 17:46:26 UTC
(In reply to comment #76)
> When will this update be released in the repo?

I'm not sure which repository you mean. In the official KDE git repository, the update in the 4.9 branch happened immediately when I pushed the commit this morning. It will appear in the master branch as soon as someone merges 4.9 into master (probably in a couple of days).

The official 4.9.2 packages are scheduled for release on October 2. When these will be packaged by your distribution depends on the distro.
Comment 78 latebeat 2012-10-08 05:53:43 UTC
I'm on version 4.9.2 from latest kubuntu backports ppa and I'm still experiencing this issue.
The places sidebar does not auto resize icons like it used to any more.
Is this normal?
Comment 79 latebeat 2012-10-08 05:55:49 UTC
Sorry just noticed that you said that you dropped this feature.
Comment 80 Frank Reininghaus 2012-11-01 00:01:21 UTC
Git commit 4651740412b851739f013e37fc100956ed5f4c5b by Frank Reininghaus.
Committed on 01/11/2012 at 00:58.
Pushed by freininghaus into branch 'master'.

Add an "Icon Size" submenu to the context menu of the Places Panel
Related: bug 307475
FIXED-IN: 4.10.0

M  +33   -4    dolphin/src/panels/places/placespanel.cpp
M  +2    -0    dolphin/src/panels/places/placespanel.h
M  +18   -1    dolphin/src/panels/places/placesview.cpp
M  +3    -0    dolphin/src/panels/places/placesview.h

http://commits.kde.org/kde-baseapps/4651740412b851739f013e37fc100956ed5f4c5b
Comment 81 Denis M. (Phr33d0m) 2012-11-14 04:28:37 UTC
Hello, I must comment. First of all I LOVED the dynamic resizing in Dolphin in 4.8.x and I really want it back into KDE. Since when we drop features because a percent of users dislike it? If 50% of users like it and the other 50% dislike it, it should be made configurable imo and not completely removed.

I liked it because it's way easier to hit the correct bookmark when the icons are big. The ability to resize them dynamically was a nice feature that I really enjoyed.

(In reply to comment #80)
> Git commit 4651740412b851739f013e37fc100956ed5f4c5b by Frank Reininghaus.
Hello Frank, is this commit about bringing back the dynamic resize of icons as an option? Because from the commit message I understand this is in order to set a fixed size icons (which is not so pleasant)?

Regards.
Comment 82 Frank Reininghaus 2012-11-14 09:57:09 UTC
(In reply to comment #81)
> (In reply to comment #80)
> > Git commit 4651740412b851739f013e37fc100956ed5f4c5b by Frank Reininghaus.
> Hello Frank, is this commit about bringing back the dynamic resize of icons
> as an option?

No, it is about adding an 'Icon Size' submenu, just like in the toolbar.

And now I really, really want to stop this discussion for good. This bug report was about the icon size being fixed, which is not the case any more. If you really want to discuss the automatic resizing feature further, please open a wishlist report about that and provide a link here such that anyone who is interested can continue the discussion there.

And please do not blame me for dropping features or not taking care of users. I had *nothing* to do with the Places Panel rewrite, which removed the automatic resizing. I tried to resolve this in a way that suits all users and spent a considerable amount of time on it, and I am convinced that we have found a good solution.

I am not going to reply to any further comments here. Thanks for your understanding.
Comment 83 Kim 2012-12-08 16:54:31 UTC
Thanks Frank and everyone devoting their free time to make Dolphin and KDE better!
Excuse my ignorance but I am using kde 4.9.4 and I there is no 'Icon Size' submenu. What am I missing?
Comment 84 Christoph Feck 2012-12-08 17:25:10 UTC
Kim, read comment #72
Comment 85 exzemat 2013-02-09 21:42:31 UTC
Created attachment 77064 [details]
screenshoot
Comment 86 exzemat 2013-02-09 21:43:41 UTC
Comment on attachment 77064 [details]
screenshoot

kde 4.10 is come
where is the submenu ?
Comment 87 Denis M. (Phr33d0m) 2013-02-09 23:16:27 UTC
(In reply to comment #86)
> Comment on attachment 77064 [details]
> screenshoot
> 
> kde 4.10 is come
> where is the submenu ?

Click over one of your folders/partitions instead of a empty space and you'll see it.

Although, there IS an 'issue' with the 'Icon size' not showing in the 'Open File' KDialog (when you click 'Browse' in some applications and have to select a file).
Comment 88 exzemat 2013-02-10 10:52:51 UTC
OK, thanks for the indication
Comment 89 Andrea Diamantini 2013-05-14 17:38:50 UTC
I just wanna thank Frank, Christoph and all people that worked to re-enable at least the ability to have LARGER icons in the Places Panel.